set -U -x EDITOR vim
set -U -x MPD_HOST 172.19.138.20
set -U fish_features stderr-nocaret qmark-noglob
set PATH $PATH /home/kunsi/.local/bin /home/kunsi/.gem/ruby/2.6.0/bin/ /home/kunsi/.bin

alias weechat='mosh htz.ex42-1048908 -- tmux attach-session -d -t weechat-tmux'
alias voc-ansible='/home/kunsi/.bin/voc-ansible'
alias share-via-ssh='/home/kunsi/git/share-via-ssh/share-via-ssh'

alias tmp='cd (mktemp -d -p /home/kunsi)'

alias bwr='cd ~/git/bundlewrap/'
alias v='vim -p'
alias gm='git checkout main && git pull --all'
alias gs='git status --short'
alias gd='git diff'
alias gdc='git diff --cached'
alias l='ls -lAh'
alias please='sudo'

alias lumos='mosquitto_pub -h 172.19.138.20 -t /switch/wohnzimmer/stehlampe/cmnd/POWER -m "ON"'
alias nox='mosquitto_pub -h 172.19.138.20 -t /switch/wohnzimmer/stehlampe/cmnd/POWER -m "OFF"'
alias coffee='mosquitto_pub -h 172.19.138.20 -t /switch/kueche/kaffeemaschine/cmnd/POWER -m "ON"'
alias nocoffee='mosquitto_pub -h 172.19.138.20 -t /switch/kueche/kaffeemaschine/cmnd/POWER -m "OFF"'

alias rx300='ipmitool -H 172.19.138.25 -U admin -P admin'

set -x BW_ITEM_WORKERS 16
set -x BW_NODE_WORKERS 16

function fish_greeting
    fortune
end

function fish_command_not_found
    __fish_default_command_not_found_handler $argv[1]
end

function fish_title
    echo (status current-command)
end

function config --wraps=/usr/bin/git
  /usr/bin/git --git-dir=$HOME/.cfg/ --work-tree=$HOME $argv;
end
